Bug 901470 - exception occurs during register rhevm in ssh session
exception occurs during register rhevm in ssh session
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Tareq Alayan
infra
:
Depends On:
Blocks: 904855 915537
  Show dependency treegraph
 
Reported: 2013-01-18 04:40 EST by Guohua Ouyang
Modified: 2016-02-10 14:05 EST (History)
17 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904855 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11204 None None None Never

  None (edit)
Comment 1 Alon Bar-Lev 2013-01-18 10:35:16 EST
Hi,

Can you please attach /var/log/vdsm-reg/vdsm-reg.log?

Thanks!
Comment 2 Alon Bar-Lev 2013-01-20 05:04:27 EST
OK, reproduced. This is not an exception but depreciation visible at python-2.6. Will use alternate method for the verify callback.
Comment 3 Alon Bar-Lev 2013-01-20 05:38:47 EST
commit 29a46a94d786b5b64b656f28ccbc69030370a963
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Sun Jan 20 12:09:58 2013 +0200

    bootstrap: use alternate method for verify certificate
    
    M2Crypto at python-2.6 issues deprecation warning for current method of
    acquiring certificate chain. Use an alternate method.
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=901470
    Change-Id: I3bf1555888f072347f2f2918fc63be3787856083
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/11204
Comment 14 Tareq Alayan 2013-03-22 05:53:55 EDT
verified no exception found.
Comment 15 Itamar Heim 2013-06-11 04:37:21 EDT
3.2 has been released
Comment 16 Itamar Heim 2013-06-11 04:37:27 EDT
3.2 has been released
Comment 17 Itamar Heim 2013-06-11 04:37:29 EDT
3.2 has been released
Comment 18 Itamar Heim 2013-06-11 04:45:36 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.